package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 推广员申请对象 fs_user_promoter_apply
 * 
 * @author fs
 * @date 2023-02-28
 */
public class FsUserPromoterApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long applyId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 提交内容 */
    @Excel(name = "提交内容")
    private String contentJson;

    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setContentJson(String contentJson) 
    {
        this.contentJson = contentJson;
    }

    public String getContentJson() 
    {
        return contentJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("applyId", getApplyId())
            .append("userId", getUserId())
            .append("contentJson", getContentJson())
            .append("createTime", getCreateTime())
            .toString();
    }
}
